<?php
// +--------------------------------------------------------------------------+
// | Image_Graph aka GraPHPite                                                |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2003, 2004 Jesper Veggerby Hansen                          |
// | Email         pear.nosey@veggerby.dk                                |
// | Web           http://graphpite.sourceforge.net                           |
// | PEAR          http://pear.php.net/pepr/pepr-proposal-show.php?id=145     |
// +--------------------------------------------------------------------------+
// | This library is free software; you can redistribute it and/or            |
// | modify it under the terms of the GNU Lesser General Public               |
// | License as published by the Free Software Foundation; either             |
// | version 2.1 of the License, or (at your option) any later version.       |
// |                                                                          |
// | This library is distributed in the hope that it will be useful,          |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of           |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU        |
// | Lesser General Public License for more details.                          |
// |                                                                          |
// | You should have received a copy of the GNU Lesser General Public         |
// | License along with this library; if not, write to the Free Software      |
// | Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA |
// +--------------------------------------------------------------------------+

/**
 * Image_Graph aka GraPHPite - PEAR PHP OO Graph Rendering Utility.
 * @package dataset
 * @copyright Copyright (C) 2003, 2004 Jesper Veggerby Hansen
 * @license http://www.gnu.org/licenses/lgpl.txt GNU Lesser General Public License
 * @author Jesper Veggerby Hansen <pear.nosey@veggerby.dk>
 * @version $Id: Random.php,v 1.5 2004/11/05 19:13:30 nosey Exp $
 */ 

/**
 * Include file Graph/Dataset/Trivial.php
 */
require_once(IMAGE_GRAPH_PATH . "/Graph/Dataset/Trivial.php");

/**
 * Random data set, points are generated by random.
 * This dataset is mostly (if not solely) used for demo-purposes. 
 */
class Image_Graph_Dataset_Random extends Image_Graph_Dataset_Trivial 
{

    /**
     * RandomDataset [Constructor]
     * @param int $count The number of points to create
     * @param double $minimum The minimum value the random set can be
     * @param double $maximum The maximum value the random set can be
     * @param bool $includeZero Whether 0 should be included or not as an X value, may be omitted, default: false</false>
     */
    function &Image_Graph_Dataset_Random($count, $minimum, $maximum, $includeZero = false)
    {
        parent::Image_Graph_Dataset_Trivial();
        $i = 0;
        while ($i < $count) {
            $this->addPoint(($includeZero ? $i : $i +1), rand($minimum, $maximum));
            $i ++;
        }
    }

}

?>